Skip to main content
GET
Get a list of variant inventory positions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_pk
number
required

Retailer ID

Query Parameters

identifier
string

Unique identifier assigned to the variant by the brand

brand_id
integer[]

Brand ID. Multiple values may be separated by commas

connection_id
number

Connection ID. Multiple values may be separated by comma.

parent_identifier
string[]

Parent product identifier. Multiple values may be separated by commas

retailer_sku
string

Retailer SKU

in_stock
integer

1: Variant is in stock
0: Variant is out of stock

ignore_deleted
integer

1: Ignore deleted variant
0: Include deleted variant

is_sellable
integer

1: Variant is sellable
0: Variant is not sellable

is_discontinued
integer

1: Variant is discontinued
0: Variant is active

no_ead
integer

1: Variant has no estimated availability date
0: Variant has estimated delivery date

no_stock_no_ead
number

1: Variant does not have an estimated availability date.
0: Variant has an estimated availability

inventory_updated_at_lt
number

Inventory update was less than specified Time (Unix epoch format)

inventory_updated_at_lte
number

Inventory update was less than or equal to specified Time (Unix epoch format) Time

inventory_updated_at_gt
number

Inventory update was greater than specified Time (Unix epoch format)

inventory_updated_at_gte
number

Inventory update was greater than or equal to a specified Time (Unix epoch format)

order_by
string

Sorting criteria

page
integer

Page number within the paginated result set

limit
integer

Number of records per page

Response

OK

count
integer
required

Total number of records

Example:

805

results
object[]
required
next
string<uri> | null

Next page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_pk}/?page=5"

previous
string<uri> | null

Previous page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_pk}/?page=3"